<?php
function gutachter_angehoert($vid, $uid){
global $db;
require_once("func_verlauf.php");

  /*
  1) Prüfen, wie viele Gutachter es gibt, deren Frist nicht verstrichen ist.1
  2) Wieviel mal gibt es den Status 107 bereits zu diesem Vorschlag
  3) wurde bereits der Status "Alle Gutachter angehört" gesetzt: Status 5
  4) wenn nicht, dann   5) wenn 2 >= 1, dann Status "Gutachter angehört" setzen
  
  
  Zu setzen beim Aufruf der Seite bearbeiten.php
  
  Mail Henzel vom 19.10.2011
  Für den Prozess ist es gar nicht so wichtig, dass alle Gutachter angehört worden sind. 
  Über die Idee kann auch entschieden werden, wenn nur ein Gutachten eingegangen ist. 
  Deshalb würde ich den Status "alle Gutachter angehört" nur setzen, wenn alle Gutachter 
  wirklich auch ein Gutachten abgegeben haben. 
  
  Frage Schwarz war:
  ich bin mir jetzt nicht schlüssig, wann der Status "Alle Gutachter angehört" gesetzt werden soll.
    
  
  Fall1
  Es gibt 2 Gutachter, einer davon gibt ab, der andere hat noch Zeit, 
  da innerhalb seiner Frist --> Status Alle Gutachter angehört darf nicht gesetzt werden.
    
  Fall2
  Es gibt 2 Gutachter, einer davon gibt ab, der andere hat nicht abgegeben 
  innerhalb der Frist--> Soll dann der Status Alle Gutachter angehört gesetzt werden?
  
  
  */
  
  
  $db = dbconnect();
  
  #1
  $query_gutang1 = $db->query("SELECT count(*) Anz
                                  FROM imt_gutachter
                                 WHERE vid = '$vid'
                                 #  AND stellung_dat > '0000-00-00 00:00:00'
                                 #  AND frist_datum_abgabe > date_format(now(), '%Y-%m-%d')
                              ") or die(mysql_error()); // Change users to the database where you keep your usernames, and likewise with username
  $row_gutang1 = $query_gutang1->fetch_array();
  

  #2
  $query_gutang2 = $db->query("SELECT count(*) Anz
                                  FROM imt_verlauf
                                 WHERE vid = '$vid'
                                   AND status = '107'
                              ") or die(mysql_error()); // Change users to the database where you keep your usernames, and likewise with username
  $row_gutang2 = $query_gutang2->fetch_array();


  #3
  $query_gutang3 = $db->query("SELECT count(*) Anz
                                  FROM imt_verlauf
                                 WHERE vid = '$vid'
                                   AND status = '5'
                              ") or die(mysql_error()); // Change users to the database where you keep your usernames, and likewise with username
  $row_gutang3 = $query_gutang3->fetch_array();
  
  #4
  if($row_gutang3['Anz'] == 0){
    #5
    if($row_gutang2['Anz'] == $row_gutang1['Anz'] AND $row_gutang1['Anz'] >0){
     verlauf($uid, $vid, "Alle Gutachter angeh&ouml;rt", 5, '');
    }
  }
  
}

?>
